package com.xk72.charles;

import com.xk72.charles.Bvcn;
import com.xk72.charles.CharlesContext;
import com.xk72.charles.DjWY;
import com.xk72.charles.ZUnA;
import com.xk72.charles.command.SSLCertificateCommand;
import com.xk72.charles.config.RegistrationConfiguration;
import com.xk72.charles.config.StartupConfiguration;
import java.awt.GraphicsEnvironment;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.logging.LogManager;
import java.util.logging.Logger;

public class Main {

   private List GSXJ;
   protected boolean FwRs;
   private boolean InuZ;
   private com.xk72.charles.command.dqaG Gwbn;
   private static final Logger Wczh = Logger.getLogger("com.xk72");


   private void GSXJ(String[] var1) {
      this.GSXJ = new ArrayList();
      boolean var2 = false;

      for(int var3 = 0; var3 < var1.length; ++var3) {
         String var4;
         if((var4 = var1[var3]).startsWith("-") && !var2) {
            if("--".equals(var4)) {
               var2 = true;
            } else if("-config".equals(var4)) {
               if(var3 + 1 < var1.length) {
                  var4 = var1[var3 + 1];
                  System.setProperty("charles.config", var4);
               } else {
                  System.err.println("无效的命令行参数: -config 必须后面跟配置文件的路径");
                  System.exit(1);
               }
            } else if("-headless".equals(var4)) {
               this.FwRs = true;
            } else if("-throttling".equals(var4)) {
               this.InuZ = true;
            } else {
               if("-version".equals(var4) || "-v".equals(var4)) {
                  this.FwRs = true;
                  this.Gwbn = new com.xk72.charles.command.jSAY();
                  return;
               }

               System.err.println(var4);
               System.exit(1);
            }
         } else {
            if("convert".equals(var4)) {
               this.FwRs = true;
               this.Gwbn = new com.xk72.charles.command.OkjK((String[])Arrays.copyOfRange(var1, var3 + 1, var1.length));
               return;
            }

            if("ssl".equals(var4)) {
               this.FwRs = true;
               this.Gwbn = new SSLCertificateCommand((String[])Arrays.copyOfRange(var1, var3 + 1, var1.length));
               return;
            }

            this.GSXJ.add(var1[var3]);
         }
      }

   }

   protected CharlesContext FwRs() {
      return new CharlesContext();
   }

   public static void main(String[] var0) {
      (new Main()).FwRs((String[])var0);
   }

   protected final void FwRs(String[] var1) {
      KRBh();
      this.GSXJ((String[])var1);
      if(this.FwRs) {
         System.setProperty("java.awt.headless", "true");
      } else {
         this.FwRs = GraphicsEnvironment.isHeadless();
      }

      CharlesContext var4 = this.FwRs();
      this.GSXJ();
      var4.init();
      if(this.Gwbn != null) {
         this.Gwbn.FwRs(var4);
         this.Gwbn.run();
      }

      RegistrationConfiguration var2;
      String var3 = (var2 = var4.getConfiguration().getRegistrationConfiguration()).getName();
      String var5 = var2.getKey();
      if(var3 != null && var5 != null && var3.length() > 0 && var5.length() > 0) {
         Bvcn.FwRs(var3, var5);
      }

      this.FwRs((CharlesContext)var4);
      if(!Bvcn.FwRs()) {
         this.Gwbn();
      } else {
         this.InuZ();
      }

      var4.start();
      this.GSXJ((CharlesContext)var4);
      this.FwRs(var4, this.GSXJ);
   }

   protected void FwRs(CharlesContext var1, List var2) {
      Iterator var5 = var2.iterator();

      while(var5.hasNext()) {
         String var3 = (String)var5.next();

         try {
            var1.getFileManager().FwRs((File)(new File(var3)));
         } catch (IOException var4) {
            System.err.println(var4);
         }
      }

   }

   private static void KRBh() {
      if(System.getProperty("java.util.logging.config.class") == null && System.getProperty("java.util.logging.config.file") == null) {
         try {
            InputStream var0 = ClassLoader.getSystemResourceAsStream("charles-logging.properties");

            try {
               if(var0 != null) {
                  LogManager.getLogManager().readConfiguration(var0);
               }
            } catch (Throwable var3) {
               if(var0 != null) {
                  try {
                     var0.close();
                  } catch (Throwable var2) {
                     var3.addSuppressed(var2);
                  }
               }

               throw var3;
            }

            if(var0 == null) {
               return;
            }

            var0.close();
         } catch (IOException var4) {
            var4.printStackTrace();
         }
      }

   }

   protected void GSXJ() {
   }

   protected void FwRs(CharlesContext var1) {
   }

   protected void GSXJ(CharlesContext var1) {
      StartupConfiguration var2;
      if((var2 = var1.getConfiguration().getStartupConfiguration()).getLoggingLevel() != null) {
         Wczh.setLevel(var2.getLoggingLevel());
      }

      var2.addPropertyChangeListener("loggingLevel", new ZUnA(this));
      if(var2.isThrottling() || this.InuZ) {
         var1.getProxyManager().FwRs(true);
      }

      if(var2.isCheckUpdates()) {
         StartupConfiguration var3 = var2;
         Date var4 = new Date(System.currentTimeMillis() - 345600000L);
         if(var3.getLastCheckUpdates() == null || var3.getLastCheckUpdates().before(var4)) {
            DjWY.FwRs(false);
            var3.setLastCheckUpdates(new Date());
         }
      }

   }

   private static void FwRs(StartupConfiguration var0) {
      Date var1 = new Date(System.currentTimeMillis() - 345600000L);
      if(var0.getLastCheckUpdates() == null || var0.getLastCheckUpdates().before(var1)) {
         DjWY.FwRs(false);
         var0.setLastCheckUpdates(new Date());
      }

   }

   protected void InuZ() {
      System.out.println(Bvcn.InuZ());
   }

   protected void Gwbn() {
      System.out.println("Charles 是共享软件. 如果您继续使用Charles,则必须支付共享软件费用.");

      try {
         Thread.sleep(10123L);
      } catch (InterruptedException var1) {
         ;
      }
   }

   // $FF: synthetic method
   static Logger Wczh() {
      return Wczh;
   }

}
